png::image< pixel, pixel_buffer_type >::transform_identity Struct Reference

The default io transformation: does nothing. More...

`#include <image.hpp>`

## Public Member Functions

void | operator() (io_base &) const

## Detailed Description

### template<typename pixel, typename pixel_buffer_type = pixel_buffer< pixel >>
struct png::image< pixel, pixel_buffer_type >::transform_identity

The default io transformation: does nothing.

## Member Function Documentation

template<typename pixel , typename pixel_buffer_type = pixel_buffer< pixel >>

void png::image< pixel, pixel_buffer_type >::transform_identity::operator() | ( | io_base & |  | ) | const

inline

The documentation for this struct was generated from the following file:

- image.hpp